@import '../../styles/main.scss';

.generator {

  &__card {
    margin-top: $space-sm;
    width: 100%;
    background-color: white;
    padding: $space-sm;
    border-radius: $default-border-radius;
    @include default-shadow;
  }

  &__clear-section {
    @include flex-row;
    justify-content: space-between;
    padding: $space-xs 0;
    border-bottom: 1px solid $color-hover;
  }

  &__clear {
    cursor: pointer;
    color: $color-primary;
  }

  &__inputs {
    width: 100%;
    @include flex-row;

    & input[type='text'] {
      font-size: 16px;
      margin-top: $space-xs;
      width: 100%;
      border: 1px solid #C4C4C4;
      appearance: none;
      padding: $space-xxs $space-xs;
      border-radius: 90px;
    }

    & input[type='color'] {
      margin-top: $space-xs;
    }
  }

  &__input-group {
    width: 100%;

    & > p {
      margin-top: $space-xs;
    }
  }

  &__input-btns {
    margin-top: $space-sm;
  }

  &__header-section {
    margin-top: $space-sm;
    @include flex-row;
  }

  &__img-card {
    @include flex-row;
  }

  &__img {
    max-width: 640px;
    @include flex-column;
  }

  &__img-container {
    
    & > img {
      max-width: 100%;
    }
  }
}